/************************************************************************/
/*																		*/
/*	config.h -- Project Configuration Declarations                      */
/*																		*/
/************************************************************************/
/*	Author: Michael T. Alexander										*/
/*	Copyright 2009, Digilent Inc.										*/
/************************************************************************/
/*  Module Description: 												*/
/*																		*/
/*	This header contains declarations used to configure the project     */
/*  based on the target platform.                                       */
/*																		*/
/************************************************************************/
/*  Revision History:						                			*/
/*											                        	*/
/*	05/21/2009 (MichaelA): created			                			*/
/*	11/02/2009 (MarkT): hacked to pieces for the PmodRF1 BT.  Sorry Mike*/
/*	12/09/2009 (MarkT): added pin placement definitions for reference	*/
/*						design.											*/
/************************************************************************/

#if !defined(_CONFIG_INC)
#define _CONFIG_INC

/* ------------------------------------------------------------ */
/*              Pin Placement Declarations						*/
/* ------------------------------------------------------------ */
#define		prtRF1IRQ		prtJA7
#define		ddrRF1IRQ		ddrJA7	
#define		bnRF1IRQ		bnJA7
#define		pinRF1IRQ		pinJA7

#define		prtRF1RST		prtJA8
#define		ddrRF1RST		ddrJA8
#define		bnRF1RST		bnJA8

#define		prtRF1SLPTR		prtJA9
#define		ddrRF1SLPTR		ddrJA9
#define		bnRF1SLPTR		bnJA9

#define		prtRF1CLKM		prtJA10
#define		ddrRF1CLKM		ddrJA10
#define		bnRF1CLKM		bnJA10


/* ------------------------------------------------------------ */
/*              Wireless Communication Declarations				*/
/* ------------------------------------------------------------ */

//Make sure that you declare the addresses correctly here!
#define	rfadrPARTNER			0x38 // address of link partner
#define	rfadrRF1				0x39 // this node's address

#define rfchan                  5   // IEEE 802.15.4 channel assignment
                            // This selects the channel (center frequency)
                            // used for wireless communication.

                            // Valid channels and their corresponding
                            // center frequency:
                            //  1 - 906 MHz
                            //  2 - 908 MHz
                            //  3 - 910 MHz
                            //  4 - 912 MHz
                            //  5 - 914 MHz (DEFAULT)
                            //  6 - 916 MHz
                            //  7 - 918 MHz
                            //  8 - 920 MHz
                            //  9 - 922 MHz
                            // 10 - 924 MHz


/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */

#endif
