/************************************************************************/
/*																		*/
/*	bit_bang_spi.h	--  simulated SPI Interface Declarations            */
/*																		*/
/************************************************************************/
/*	Author: Mark Taylor													*/
/*	Copyright 2009, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/*  This header file contains interface declarations for bit-banged SPI */
/*  communication.                                                      */
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*  10/22/2009 (MarkT): created from Mike A.'s PmodRF1 SPI driver      	*/
/*																		*/
/************************************************************************/

#if !defined(_BIT_BANG_SPI_INC)
#define _BIT_BANG_SPI_INC


#include <avr/io.h>
#include "stdtypes.h"

//Include your board's header here:
#include "CerebotNano.h"


/* ------------------------------------------------------------ */
/*					Miscellaneous Declarations					*/
/* ------------------------------------------------------------ */

//define your pin placements here:
#define		prt_bb_ss		prtJA1
#define		prt_bb_mosi		prtJA2
#define		prt_bb_miso		prtJA3
#define		prt_bb_sck		prtJA4

#define		ddr_bb_ss		ddrJA1
#define		ddr_bb_mosi		ddrJA2
#define		ddr_bb_miso		ddrJA3
#define		ddr_bb_sck		ddrJA4

#define		bn_bb_ss		bnJA1
#define		bn_bb_mosi		bnJA2
#define		bn_bb_miso		bnJA3
#define		bn_bb_sck		bnJA4

#define		pin_bb_ss		pinJA1
#define		pin_bb_mosi		pinJA2
#define		pin_bb_miso		pinJA3
#define		pin_bb_sck		pinJA4

/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Procedure Declarations						*/
/* ------------------------------------------------------------ */

void    BitBangSpiInit(void);

void    BitBangSpiEnable(void);
void    BitBangSpiDisable(void);
BYTE    BitBangSpiPutByte(BYTE bSnd);
void    BitBangSpiPutBuff(BYTE* pbBuff, WORD cbBuff);
void    BitBangSpiGetBuff(BYTE bFill, BYTE* pbBuff, WORD cbBuff);
void    BitBangSpiPutGetBuff(BYTE* pbSnd, BYTE* pbRcv, WORD cbSnd);

/* ------------------------------------------------------------ */

#endif

/************************************************************************/
